Subject: [Sip] Anybody knows how long SIP call setup takes?

From: [email-masked]
Date: Thu, 08 Aug 2002 09:56:26 +0200

Hello,

1) Does anybody know how long a SIP call setup take? I am particularly
interested in the mobile case where there is for each user a P-CSCF
(proxy SIP server in visited network) and S-CSCF (serving SIP server in
home network) involved.

2) By how much does the call setup delay increase when the SIP session
is established using the "assured QoS" model (i.e. when guarantee of
end-to-end resource reservation is required before ringing is started).
In this case more SIP messages (i.e. SIP 183, SIP UPDATE,...) are
sent back and forth before ringing actually takes place.

3) In the particular case of third party call control (SIP application
server setting up call between 2 endusers), does anyone have figures on
how long that takes (preferably again in worst case - i.e. when using
"assured QoS" model).

4) In all these cases getting the first INVITE through probably takes
the longest. After the signalling "path" has been established between
the two end hosts I guess the next SIP messages (e.g. Ringing, ACK,...)
take less time to pass from one end to the other. Anyone any idea how
long it takes for such a SIP message to travel one way between two end
hosts?

Thanks for your help,

Lieve Bos

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Henry Sinnreich <[email-masked]>
Date: Thu, 08 Aug 2002 12:29:55 -0500

> 2) By how much does the call setup delay increase when the 
> SIP session is established using the "assured QoS" model 

You are aiming at the right problem IMHO: Adding up the call setup time
using the "Assured QoS" model leads to very bad results, since SIP and
such as RSVP setup gets closely coupled SIP and QoS setup and very
complex. Actually, we have shown in some earlier work to have up to 50
messages (!) to establish such a session in an inter-domain environment.
Please see 

http://www.softarmor.com/sipwg/drafts/morgue/draft-sinnreich-sip-qos-osp
-01.txt 

I believe that emulating the PSTN with "Assured QoS" is fundamentally
broken.

What if the user would be just content to be alerted that no Qos is
"assured", but would like to make the call anyway (maybe at lower cost
or no cost)? Should an emergency call be refused because of lack of QoS?

Waiting too long for QoS is no QoS at all...

Thanks, Henry

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Thursday, August 08, 2002 2:56 AM
> To: [email-masked]; [email-masked]
> Subject: [Sip] Anybody knows how long SIP call setup takes?
> 
> 
> Hello,
> 
> 1) Does anybody know how long a SIP call setup take? I am 
> particularly interested in the mobile case where there is for 
> each user a P-CSCF (proxy SIP server in visited network) and 
> S-CSCF (serving SIP server in home network) involved.
> 
> 2) By how much does the call setup delay increase when the 
> SIP session is established using the "assured QoS" model 
> (i.e. when guarantee of end-to-end resource reservation is 
> required before ringing is started). In this case more SIP 
> messages (i.e. SIP 183, SIP UPDATE,...) are sent back and 
> forth before ringing actually takes place.
> 
> 3) In the particular case of third party call control (SIP 
> application server setting up call between 2 endusers), does 
> anyone have figures on how long that takes (preferably again 
> in worst case - i.e. when using "assured QoS" model).
> 
> 4) In all these cases getting the first INVITE through 
> probably takes the longest. After the signalling "path" has 
> been established between the two end hosts I guess the next 
> SIP messages (e.g. Ringing, ACK,...) take less time to pass 
> from one end to the other. Anyone any idea how long it takes 
> for such a SIP message to travel one way between two end hosts?
> 
> Thanks for your help,
> 
> Lieve Bos
> 
> 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments on the 
> application of sip
>